org.springframework.web.servlet

## Class NoHandlerFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.servlet.NoHandlerFoundException

- All Implemented Interfaces:
    Serializable

      public class NoHandlerFoundException
      extends ServletException

  Exception to be thrown if DispatcherServlet is unable to determine a corresponding handler for an incoming HTTP request. The DispatcherServlet throws this exception only if its throwExceptionIfNoHandlerFound property is set to "true".
  Since:
    4.0
  Author:
    Brian Clozel
  See Also:
    `DispatcherServlet`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoHandlerFoundException(String httpMethod, String requestURL, HttpHeaders headers)` Constructor for NoHandlerFoundException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHeaders` | `getHeaders()`
    `String` | `getHttpMethod()`
    `String` | `getRequestURL()`

    - ### Methods inherited from class javax.servlet.ServletException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoHandlerFoundException

          public NoHandlerFoundException(String httpMethod,
                                         String requestURL,
                                         HttpHeaders headers)

      Constructor for NoHandlerFoundException.
      Parameters:
        `httpMethod` - the HTTP method
        `requestURL` - the HTTP request URL
        `headers` - the HTTP request headers

  - ### Method Detail

    - #### getHttpMethod

          public String getHttpMethod()

    - #### getRequestURL

          public String getRequestURL()

    - #### getHeaders

          public HttpHeaders getHeaders()